Bug 122048 - Ark (v2.1.9) gives "I can't fork a decompressor" error when opening archives (.tar.gz)
Ark (v2.1.9) gives "I can't fork a decompressor" error when opening archives ...
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-04-29 18:14 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-03 17:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This patch puts back ark to the condition in kdeutils-3.2.1. (464 bytes, patch)
2004-05-03 12:09 EDT, kanagawa jigorou
no flags Details | Diff

  None (edit)
Description Need Real Name 2004-04-29 18:14:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040310 Firefox/0.8.0+

Description of problem:
Ark (v2.1.9-same as in Fedora Core1) gives the error "I can't fork a
decompressor" when trying to open  any archive with the .tar.gz

Version-Release number of selected component (if applicable):
kdeutils-3.2.2-3 (Ark v2.1.9)

How reproducible:

Steps to Reproduce:
1. Right-click file "anyfilename.tar.gz"
2. Choose "Actions" ---> "extract here" or "extract to ..."
1.  Open Ark
2. Select any file with .tar.gz extension to open


Actual Results:  Error windows pops up with the message " I can't fork
a decompressor" warning.

Expected Results:  Archive files should be extracted.  

Additional info:

This same version of Ark(v2.1.9) works fine under kdeutils-3.1.4-4 in
Fedora Core1 but the current test 3 release will not extract the files
from the archive.  I could not find a related bug on the KDE site.
Comment 1 kanagawa jigorou 2004-05-03 12:02:53 EDT
I caught same problem, too.
At bugs.kde.org, same problem was reported.

According to following page, KDE team did wrong backporting.

It looks like we had better use 'KMimeType::findByPath()' instead of
'KMimeType::findByFileContent' at present release.

Ad hoc patch follows...
Comment 2 kanagawa jigorou 2004-05-03 12:09:33 EDT
Created attachment 99915 [details]
This patch puts back ark to the condition in kdeutils-3.2.1.

Patching this, I could solve the problem.
Sorry for my poor explanation... I'm sleepy...
Comment 3 Ngo Than 2004-05-03 17:06:28 EDT
strange, we don't have kdeutils-3.2.2-3 in FC2test3? Where did you get

Anyway it's already fixed in 3.2.2-2,which should be avialable in
rawhide now. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.